﻿:root {
    --rotate-speed: 40;
    --count: 8; /* Default count, the DOM element should override this */
    --easeInOutSine: cubic-bezier(0.37, 0, 0.63, 1);
    --easing: cubic-bezier(0, 0.37, 1, 0.63);
}

.void {
    width: 100%;
    max-width: 1024px;
    margin: auto;
    position: relative;
    aspect-ratio: 1 / 1;
}
.industry ul:hover * {
    animation-play-state: paused;
}


.industry ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1;
    outline: 2px dotted magenta;
    z-index: 1;
}

.industry li {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    /* 	outline: 2px dashed cyan; */
    width: 100%;
    animation: rotateCW calc(var(--rotate-speed) * 1s) var(--easing) infinite;
}

.industry .card {
    width: 27%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 16px 24px;
    gap: 8px;
    background: #ffffff;
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1), 0px 16px 32px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
    font-family: "Inter", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #535062;
    animation: rotateCCW calc(var(--rotate-speed) * 1s) var(--easing) infinite;
}

.industry a {
    text-decoration: none;
    color: unset;
}

.industry .model-name {
    font-weight: 500;
    font-size: 18px;
    line-height: 150%;
    color: #3b2ed0;
    display: block;
}

.industry svg {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

li:nth-child(2),
li:nth-child(2) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -1s);
}

li:nth-child(3),
li:nth-child(3) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -2s);
}

li:nth-child(4),
li:nth-child(4) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -3s);
}

li:nth-child(5),
li:nth-child(5) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -4s);
}

li:nth-child(6),
li:nth-child(6) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -5s);
}

li:nth-child(7),
li:nth-child(7) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -6s);
}

li:nth-child(8),
li:nth-child(8) .card {
    animation-delay: calc((var(--rotate-speed) / var(--count)) * -7s);
}

@keyframes rotateCW {
    from {
        transform: translate3d(0px, -50%, -1px) rotate(-45deg);
    }

    to {
        transform: translate3d(0px, -50%, 0px) rotate(-315deg);
    }
}

@keyframes rotateCCW {
    from {
        transform: rotate(45deg);
    }

    to {
        transform: rotate(315deg);
    }
}

@keyframes pulseGlow {
    from {
        background-size: 60%;
    }

    to {
        background-size: 100%;
    }
}

.center-circle {
    position: absolute;
    width: 180px;
    aspect-ratio: 1 / 1;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #ffffff;
    box-shadow: 0px 18px 36px -18px rgba(12, 5, 46, 0.3), 0px 30px 60px -12px rgba(12, 5, 46, 0.25);
    border-radius: 50%;
}

.second-circle {
    position: absolute;
    width: 38%;
    aspect-ratio: 1 / 1;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #f5f4fe;
    opacity: 0.5;
    box-shadow: 0px 18px 36px -18px rgba(12, 5, 46, 0.3), 0px 30px 60px -12px rgba(12, 5, 46, 0.25);
    border-radius: 50%;
}

.last-circle {
    position: absolute;
    width: 60%;
    aspect-ratio: 1 / 1;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: #f5f4fe;
    opacity: 0.25;
    box-shadow: 0px 18px 36px -18px rgba(12, 5, 46, 0.3), 0px 30px 60px -12px rgba(12, 5, 46, 0.25);
    border-radius: 50%;
}

.crop {
    -webkit-mask-image: linear-gradient( 90deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 1) 50%, rgba(0, 0, 0, 1) );
}

.mask {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    width: 50%;
    animation: pulseGlow 5s linear infinite alternate;
    background-position: 100% 50%;
    background-repeat: no-repeat;
    background-image: radial-gradient( 100% 50% at 100% 50%, rgba(60, 26, 229, 0.25) 0%, rgba(60, 26, 229, 0.247904) 11.79%, rgba(59, 26, 229, 0.241896) 21.38%, rgba(58, 26, 229, 0.2324) 29.12%, rgba(57, 26, 229, 0.219837) 35.34%, rgba(55, 26, 229, 0.20463) 40.37%, rgba(53, 26, 229, 0.1872) 44.56%, rgba(51, 26, 229, 0.16797) 48.24%, rgba(48, 26, 229, 0.147363) 51.76%, rgba(46, 26, 229, 0.1258) 55.44%, rgba(44, 26, 229, 0.103704) 59.63%, rgba(41, 26, 229, 0.0814963) 64.66%, rgba(39, 26, 229, 0.0596) 70.88%, rgba(36, 26, 229, 0.038437) 78.62%, rgba(34, 26, 229, 0.0184296) 88.21%, rgba(32, 26, 229, 0) 100% );
}

    .mask:after {
        content: "";
        position: absolute;
        width: 1px;
        height: 75%;
        right: 0;
        display: block;
        background-image: linear-gradient( 180deg, rgba(60, 26, 229, 0) 0%, #044a70 50%, rgba(60, 26, 229, 0) 100% );
    }

.center-circle-text {
    text-align: center;
    position: relative;
    top: 42%;
    font-size: 23px;
    font-weight: bold;
}
.industry a:hover{
    color:#000;
}

#industryInfo p {
    padding-right: 7em;
    padding-left:2em;
    text-align: justify;
    color:#fff;
}
#industryInfo ul{
    outline:none;
}
#industryInfo li {
    position: relative;
    top: 21%;
    animation: none;
    text-align:justify;
    padding-right: 7em;
    padding-left:2em;
    font-size:15px;
}
@media only screen and (max-width: 970px) {

}

@media only screen and (max-width: 800px) {
    .center-circle {
        width: 160px;
    }
    .model-text {
        display: none;
    }
    #industryInfo li {
        top: 51%;
    }
}

@media only screen and (max-width: 650px){
    .center-circle {
        width: 110px;
    }
    .center-circle-text{
        font-size:18px;
        top:39%;
    }
    .industry .card {
        padding:10px 18px;
    }
    .industry .model-name {
        font-size: 14px;
        word-break: break-all;
    }
    #industryInfo p{
        padding-right: 4em;
    }
    .mask-text{
        top:10%;
    }
    #industryInfo li {
        padding-right:4em;
    }
}
@media only screen and (max-width: 600px) {
    .mask-text {
        max-height: 470px;
    }
}

    @media only screen and (max-width: 500px) {
        .center-circle {
            width: 90px;
        }

        .center-circle-text {
            top: 36%;
        }

        .mask-text {
            max-height: 350px;
        }
    }